body .gallery-intro .container{
    margin-top: 100px;
}

.image-modal-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.container-img-modal {
    display: flex;
    padding: 5px;
}

.image-modal img {
    margin: 0 5px;
    width: 400px;
    height: 350px;
    object-fit: cover;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra sutil para las imágenes */
    border-radius: 3px; /* Esquinas ligeramente redondeadas */
    cursor: pointer;
    transition: transform 0.5s ease, box-shadow 0.3s ease;
}

.image-modal img:hover {
    transform: scale(1.03); /* Efecto de zoom al pasar el mouse */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3); /* Sombra más fuerte al hacer hover */
}


.video-section .container iframe {
    width: 1200px;
    height: 615px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra sutil para el iframe */
    border-radius: 3px; /* Esquinas redondeadas para consistencia */
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

iframe:hover {
    transform: scale(1.010); /* Efecto de zoom al pasar el mouse en el iframe */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3); /* Sombra más fuerte al hacer hover */
}


/* Asegurar que las imágenes no se desborden */
.modal .modal-dialog .modal-content .modal-body img {
    height: 820px; /* Limitar la altura de las imágenes */
    width: 1000px;
    object-fit: cover;
    border-radius: 10px; /* Opcional: redondear bordes */
}

/* Fondo oscuro de modal con transición */
.modal .modal-dialog .modal-content .btn-close {
    background-color: #fff;

}
.modal .modal-dialog .modal-content {
    margin-left: -140px;
    width: 1400px;
    background-color: transparent;
    border: none;
    color: #fff;
    border-radius: 15px;

}

/* Ajuste responsivo */
@media (max-width: 768px) {
    /* Asegurar que las imágenes no se desborden */
    .modal .modal-dialog .modal-content .modal-body img {
        width: 200px;
        height: 200px; /* Limitar la altura de las imágenes */

    }
    
    /* Fondo oscuro de modal con transición */
    .modal .modal-dialog .modal-content {
        margin-left: 0px;
        width: auto;
    
    }
    .image-modal img {
        margin: 0 5px;
        width: 110px;
        height: 100px;
        object-fit: cover;
    }

    .modal-dialog {
        max-width: 100%; /* El modal ocupa todo el ancho en dispositivos pequeños */
        margin: 10px;
    }

    .video-section .container iframe {
        width: 100%; /* El iframe ocupa todo el ancho en dispositivos pequeños */
        height: 250px; /* Altura ajustada para pantallas pequeñas */
    }
}

